## org.codehaus.groovy.grails.web.pages
Class GroovyPageOutputStack

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack

    public final class GroovyPageOutputStack

extends Object

Field Summary
`static org.apache.commons.logging.Log` `log`

Method Summary
`static GroovyPageOutputStack` `createNew(Writer topWriter)`
`static GroovyPageOutputStack` `currentStack()`
`static GroovyPageOutputStack` `currentStack(boolean allowCreate)`
`static GroovyPageOutputStack` `currentStack(boolean allowCreate, Writer topWriter, boolean autoSync, boolean pushTop)`
`static Writer` `currentWriter()`
`Writer` `getCurrentOriginalWriter()`
`org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack.GroovyPageProxyWriter` `getProxyWriter()`
`void` `pop()`
`void` `pop(boolean forceSync)`
`void` `push(Writer newWriter)`
`void` `push(Writer newWriter, boolean checkExisting)`
`static void` `removeCurrentInstance()`
`void` `restoreThreadLocalsToOriginals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

Method Detail

### currentStack

    public static final GroovyPageOutputStack currentStack()

### currentStack

    public static final GroovyPageOutputStack currentStack(boolean allowCreate)

### currentStack

    public static final GroovyPageOutputStack currentStack(boolean allowCreate,
                                                           Writer topWriter,
                                                           boolean autoSync,
                                                           boolean pushTop)

### createNew

    public static final GroovyPageOutputStack createNew(Writer topWriter)

### removeCurrentInstance

    public static final void removeCurrentInstance()

### currentWriter

    public static final Writer currentWriter()

### push

    public void push(Writer newWriter)

### push

    public void push(Writer newWriter,
                     boolean checkExisting)

### pop

    public void pop()

### pop

    public void pop(boolean forceSync)

### getProxyWriter

    public org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack.GroovyPageProxyWriter getProxyWriter()

### getCurrentOriginalWriter

    public Writer getCurrentOriginalWriter()

### restoreThreadLocalsToOriginals

    public void restoreThreadLocalsToOriginals()

Copyright (c) 2005-2009 The Grails project